org.hibernate.search.backend

## Interface IndexWorkVisitor<P,R>

- Type Parameters:
    `P` - Context parameter type expected by a specific visitor
    `R` - Return type provided by a specific visitor
  All Known Implementing Classes:
    IndexUpdateVisitor, StreamingOperationExecutorSelector, TransactionalOperationExecutorSelector

      public interface IndexWorkVisitor<P,R>

  Contract for visitors of `LuceneWork` types.

  Implementations can receive a specific input parameter and return a specific output type. Use `Void` as parameterization for each of the two not needed.

  Author:
    Sanne Grinovero, Gunnar Morling

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `visitAddWork(AddLuceneWork work, P p)`
    `R` | `visitDeleteByQueryWork(DeleteByQueryLuceneWork work, P p)`
    `R` | `visitDeleteWork(DeleteLuceneWork work, P p)`
    `R` | `visitFlushWork(FlushLuceneWork work, P p)`
    `R` | `visitOptimizeWork(OptimizeLuceneWork work, P p)`
    `R` | `visitPurgeAllWork(PurgeAllLuceneWork work, P p)`
    `R` | `visitUpdateWork(UpdateLuceneWork work, P p)`

- - ### Method Detail

    - #### visitAddWork

          R visitAddWork(AddLuceneWork work,
                         P p)

    - #### visitDeleteWork

          R visitDeleteWork(DeleteLuceneWork work,
                            P p)

    - #### visitOptimizeWork

          R visitOptimizeWork(OptimizeLuceneWork work,
                              P p)

    - #### visitPurgeAllWork

          R visitPurgeAllWork(PurgeAllLuceneWork work,
                              P p)

    - #### visitUpdateWork

          R visitUpdateWork(UpdateLuceneWork work,
                            P p)

    - #### visitFlushWork

          R visitFlushWork(FlushLuceneWork work,
                           P p)

    - #### visitDeleteByQueryWork

          R visitDeleteByQueryWork(DeleteByQueryLuceneWork work,
                                   P p)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved